# container-compose
An implementation of [Compose Spec](https://compose-spec.io/) with support for [Podman](https://podman.io/) and [Docker](https://www.docker.com/) backend.
This project focuses on:

* Multiarch container build and push to regitrar

# Selecting backend engine:
- Pass `--engine=docker` or `--engine=podman` as first argument or it will use select engine based on compose file name `docker` if `docker-compose.yaml` or `docker-compose.yml` and podman if `podman-compose.yaml` or `podman-compose.yml`.

### Spec to follow
[https://github.com/compose-spec/compose-spec/blob/master/spec.md#compose-file](https://github.com/compose-spec/compose-spec/blob/master/spec.md#compose-file)

This script checks if current dir has one of these files, in this oder
```text
compose.yaml
compose.yml
docker-compose.yaml
docker-compose.yml
podman-compose.yaml
podman-compose.yml
container-compose.yaml
container-compose.yml
```

# Install system-wide
**WARNING: DO NOT RUN RANDOM COMMANDS OFF THE INTERNET LIKE THIS, READ WHAT IT DOES AND RUN ONLY IF YOU CAN TRUST IT!**
*anyway..*
```bash
sudo curl -L https://git.shihaam.dev/shihaam/container-compose/raw/branch/main/container-compose -o /usr/local/bin/container-compose \
&& sudo chmod +x /usr/local/bin/container-compose
```
Run the same command again to update it.

