#!/bin/bash

image="nginx:latest"
platforms=("amd64" "arm64")
engine="docker"

# Start the command string
cmd="$engine manifest create $image"

# Append each platform-specific image to the command string
for platform in "${platforms[@]}"; do
    cmd+=" $image-$platform"
done

# Output the complete command string
echo "$cmd"
